+ Reply to Thread
Results 1 to 9 of 9

Thread: Zoom, Extents

  1. #1
    Senior Member cadmench's Avatar
    Using
    AutoCAD 2008
    Join Date
    Oct 2007
    Posts
    103

    Default Zoom, Extents

    I am currently using Autocad 2008, I remember that there was a way to enter zoom and extents together and that they would be executed. I am speaking of versions,of Autocad, like 10, 12 or 14. I know that I used an alias " ZE " for zoom extents. how do you do this with 2008 ?

  2. #2
    Senior Member G-Prime's Avatar
    Computer Details
    G-Prime's Computer Details
    Operating System:
    Vista SP1...
    Computer:
    Intel Core 2 Quad Q9400
    CPU:
    2.66Ghz
    RAM:
    8G
    Discipline
    Electrical
    G-Prime's Discipline Details
    Occupation
    CAD Monkey
    Discipline
    Electrical
    Using
    MEP 2011
    Join Date
    Jul 2007
    Location
    Canaduh
    Posts
    194

    Default

    Correct me if I am wrong but, if you type ZE like you mentioned it should zoom extents, you could also if you have a 3 button mouse, double click the middle button, if it is set to default
    CAD version : MEP 2011
    REVIT version : MEP 2011
    Total Newb : YES

  3. #3
    Senior Member cadmench's Avatar
    Using
    AutoCAD 2008
    Join Date
    Oct 2007
    Posts
    103

    Default

    I have a dell wheelmouse I had to exit the deluxe features that come with it to get it to zoom using the wheel. But that is another issue. As far as ZE that is why I posted the question. Nothing happens when I enter ZE . " Unknown command ZE . Press F1 for help ".This is what I get on the command line.

  4. #4
    Senior Member G-Prime's Avatar
    Computer Details
    G-Prime's Computer Details
    Operating System:
    Vista SP1...
    Computer:
    Intel Core 2 Quad Q9400
    CPU:
    2.66Ghz
    RAM:
    8G
    Discipline
    Electrical
    G-Prime's Discipline Details
    Occupation
    CAD Monkey
    Discipline
    Electrical
    Using
    MEP 2011
    Join Date
    Jul 2007
    Location
    Canaduh
    Posts
    194

    Default

    How about if you typed ZOOM enter
    then E enter

    I think ZE might be a lisp just to make typing it easier instead of typing all that. I am not for certain, as I do not use the command line for zoom extents, since my mouse is setup that way
    CAD version : MEP 2011
    REVIT version : MEP 2011
    Total Newb : YES

  5. #5
    Senior Member cadmench's Avatar
    Using
    AutoCAD 2008
    Join Date
    Oct 2007
    Posts
    103

    Default ze

    Yes I can zoom extents. It is just that in earlier version of autocad I just entered ze just as has been posted on this page. Now I get the response that I posted earlier. I am just wondering if it is something that I am not aware of that keeps me from doing it. I think that every step you can save is worth looking at . Besides if I can nest "extents" inside the zoom command, then I may be able to do simailar things in other commands.

  6. #6
    Forum Deity
    Using
    Civil 3D 2008
    Join Date
    Sep 2006
    Location
    Pittsburgh, PA, USA
    Posts
    3,581

    Default

    Add this to your acaddoc.lsp file
    Code:
    (defun c:ze()(command "zoom" "e"))

  7. #7
    Senior Member cadmench's Avatar
    Using
    AutoCAD 2008
    Join Date
    Oct 2007
    Posts
    103

    Default

    thanks I am sure that will work , I can't change the acad2008doc.lsp file though it has to be changed in the corporate office. I noticed this:

    ;;; Shortcuts for multiple zoom functions

    (defun c:ze () (command "zoom" "e"))
    (defun c:zw () (command "zoom" "w"))
    (defun c:zd () (command "zoom" "d"))
    (princ)

    in my old lsp file. So this indicates that at one time it was set up in the lisp file as well. I just have to fight with them to get it changed back.

  8. #8
    Forum Deity
    Using
    Civil 3D 2008
    Join Date
    Sep 2006
    Location
    Pittsburgh, PA, USA
    Posts
    3,581

    Default

    Just make your own acaddoc.lsp file and put it in your support path. It's better to do customization there instead of acad2008doc.lsp anyway (acad2008doc.lsp gets overwritten if you do a repair or reinstall).

  9. #9
    Full Member Tallguy's Avatar
    Computer Details
    Tallguy's Computer Details
    Operating System:
    Win XP
    Computer:
    Piece of crap
    RAM:
    2Gb
    Using
    Map 3D 2008
    Join Date
    Mar 2009
    Location
    Hampshire, UK
    Posts
    34

    Default

    Registered forum members do not see this ad.

    I just type

    z (space) e (space)
    or
    z (enter) e (enter)

    to get Zoom Extents, seems to work fine on Map3D 2008.

Similar Threads

  1. Zoom extents - for only one part
    By sloman in forum AutoCAD Beginners' Area
    Replies: 2
    Last Post: 3rd Dec 2007, 12:25 am
  2. zoom extents
    By richjamesw in forum AutoCAD Drawing Management & Output
    Replies: 13
    Last Post: 17th Aug 2007, 01:34 pm
  3. Zoom Extents
    By Eche1on in forum AutoCAD Drawing Management & Output
    Replies: 4
    Last Post: 15th Sep 2006, 07:18 pm
  4. Where have my Zoom Extents gone?
    By JULES in forum AutoCAD Drawing Management & Output
    Replies: 2
    Last Post: 2nd Mar 2006, 05:51 pm
  5. zoom extents to 90 percent
    By jabo55 in forum AutoCAD General
    Replies: 11
    Last Post: 5th Jul 2005, 06:54 pm

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts